@import '../../styles/common';

$extra-small-size: rem(24px);
$small-size: rem(32px);
$medium-size: rem(40px);
$large-size: rem(60px);

.Avatar {
  position: relative;
  display: block;
  overflow: hidden;
  min-width: $extra-small-size;
  max-width: 100%;
  background: var(--p-surface-neutral);
  color: var(--p-icon-subdued);
  border-radius: $large-size / 2;
  user-select: none;

  @media (forced-colors: active) {
    @include high-contrast-border;
  }

  &::after {
    content: '';
    display: block;
    padding-bottom: 100%;
  }
}

.hidden {
  visibility: hidden;
}

.sizeExtraSmall {
  width: $extra-small-size;
}

.sizeSmall {
  width: $small-size;
}

.sizeMedium {
  width: $medium-size;
}

.sizeLarge {
  width: $large-size;
}

.styleOne {
  color: var(--p-text-on-primary);
  background: var(--p-decorative-one-surface);
}

.styleTwo {
  color: var(--p-text-on-primary);
  background: var(--p-decorative-two-surface);
}

.styleThree {
  color: var(--p-text-on-primary);
  background: var(--p-decorative-three-surface);
}

.styleFour {
  color: var(--p-text-on-primary);
  background: var(--p-decorative-four-surface);
}

.styleFive {
  color: var(--p-text-on-primary);
  background: var(--p-decorative-five-surface);
}

.hasImage {
  background: transparent;
}

.Image {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  background-color: var(--p-background);
  border-radius: $large-size / 2;
  transform: translate(-50%, -50%);
  object-fit: cover;
}

.Initials {
  color: var(--p-surface);
  position: absolute;
  top: 0;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
}

.Svg {
  width: 100%;
  height: 100%;
}
